%define pgroup	kde-multimedia
%define pname	dragonplayer
%define version	15.04.3
%define release	%mkrel 1

Name:		%{pgroup}-%{pname}
Version:	%{version}
Release:	%{release}
Summary:	Dragonplayer Video Player for KDE 4
URL:		http://multimedia.kde.org/
Group:	 Graphical desktop/KDE4
License:	GPL v3
Source:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/dragon-%{version}.tar.xz
BuildRequires: 	kdelibs-devel
BuildRequires: 	phonon-devel
Requires:	%{_lib}phonon4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Provides:	%{pgroup}-%{pname}-player = %{version}
Obsoletes:	%{pgroup}-%{pname}-player < %{version}

%description
Dragon Player is a very simple Phonon-based media player. The aim of Dragon 
Player is to "just play my video." Precedence will be given   to short simple menus 
and being configuration-free over additional features.

%prep
%setup -q -n dragon-%{version}

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/dragonplayer.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_kde_bindir/dragon
%_kde_libdir/kde4/dragonpart.so
%_kde_datadir/applications/kde4/dragonplayer.desktop
%_kde_appsdir/dragonplayer
%_kde_appsdir/solid/actions/dragonplayer-opendvd.desktop
%_kde_datadir/config/dragonplayerrc
%_kde_docdir/HTML/en/dragonplayer
%_kde_iconsdir/hicolor/*/apps/dragonplayer.png
%_kde_iconsdir/hicolor/scalable/apps/dragonplayer.svgz
%_kde_iconsdir/oxygen/*/actions/player-volume-muted.png
%_kde_iconsdir/oxygen/scalable/actions/player-volume-muted.svgz
%_kde_datadir/kde4/services/ServiceMenus/dragonplayer_play_dvd.desktop
%_kde_datadir/kde4/services/dragonplayer_part.desktop
%_kde_datadir/man/man1/dragon.1.bz2
%_kde_datadir/appdata/dragonplayer.appdata.xml

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Tue Mar 10 2015 bb <bb> 14.12.3-2pclos2015
- rebuild

* Sat Mar 07 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3
